org.apache.synapse.commons.staxon.core.json.jaxb

## Class JsonXMLRootProvider

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.jaxb.JsonXMLRootProvider

-     public class JsonXMLRootProvider
      extends java.lang.Object

  Root name/element provider.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonXMLRootProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.bind.JAXBElement<?>` | `createElement(java.lang.Class<?> type, java.lang.Object value)` Create root element for an `@XmlRootElement` or `@XmlType`-annotaed type.
    `javax.xml.namespace.QName` | `getName(java.lang.Class<?> type)` Calculate root element name for an `@XmlRootElement` or `@XmlType`-annotaed type.
    `protected java.lang.String` | `getNamespaceURI(javax.xml.bind.annotation.XmlElementDecl xmlElementDecl, javax.xml.bind.annotation.XmlSchema xmlSchema)`
    `protected java.lang.String` | `getNamespaceURI(javax.xml.bind.annotation.XmlRootElement xmlRootElement, javax.xml.bind.annotation.XmlSchema xmlSchema)`
    `protected java.lang.String` | `getNamespaceURI(javax.xml.bind.annotation.XmlType xmlType, javax.xml.bind.annotation.XmlSchema xmlSchema)`
    `protected java.lang.String` | `getPrefix(java.lang.String namespaceURI, javax.xml.bind.annotation.XmlSchema xmlSchema)`
    `protected java.lang.reflect.Method` | `getXmlElementDeclMethod(java.lang.Class<?> type)` Determine `@XmlElementDecl`-annotated factory method to create `JAXBElement` for an `@XmlType`-annotated type
    `protected javax.xml.namespace.QName` | `getXmlRootElementName(java.lang.Class<?> type)` Calculate root element name for an `@XmlRootElement`-annotated type.
    `protected javax.xml.namespace.QName` | `getXmlTypeName(java.lang.Class<?> type)` Calculate root element name for an `@XmlType`-annotated type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonXMLRootProvider

          public JsonXMLRootProvider()

  - ### Method Detail

    - #### getNamespaceURI

          protected java.lang.String getNamespaceURI(javax.xml.bind.annotation.XmlType xmlType,
                                                     javax.xml.bind.annotation.XmlSchema xmlSchema)

    - #### getNamespaceURI

          protected java.lang.String getNamespaceURI(javax.xml.bind.annotation.XmlRootElement xmlRootElement,
                                                     javax.xml.bind.annotation.XmlSchema xmlSchema)

    - #### getNamespaceURI

          protected java.lang.String getNamespaceURI(javax.xml.bind.annotation.XmlElementDecl xmlElementDecl,
                                                     javax.xml.bind.annotation.XmlSchema xmlSchema)

    - #### getPrefix

          protected java.lang.String getPrefix(java.lang.String namespaceURI,
                                               javax.xml.bind.annotation.XmlSchema xmlSchema)

    - #### getXmlRootElementName

          protected javax.xml.namespace.QName getXmlRootElementName(java.lang.Class<?> type)

      Calculate root element name for an `@XmlRootElement`-annotated type.
      Parameters:
        `type` -
      Returns:
        element name

    - #### getXmlTypeName

          protected javax.xml.namespace.QName getXmlTypeName(java.lang.Class<?> type)

      Calculate root element name for an `@XmlType`-annotated type.
      Parameters:
        `type` -
      Returns:
        element name

    - #### getXmlElementDeclMethod

          protected java.lang.reflect.Method getXmlElementDeclMethod(java.lang.Class<?> type)

      Determine `@XmlElementDecl`-annotated factory method to create `JAXBElement` for an `@XmlType`-annotated type
      Parameters:
        `type` -
      Returns:
        element

    - #### getName

          public javax.xml.namespace.QName getName(java.lang.Class<?> type)

      Calculate root element name for an `@XmlRootElement` or `@XmlType`-annotaed type.
      Parameters:
        `type` -
      Returns:
        name or `null`

    - #### createElement

          public javax.xml.bind.JAXBElement<?> createElement(java.lang.Class<?> type,
                                                             java.lang.Object value)
                                                      throws javax.xml.bind.JAXBException

      Create root element for an `@XmlRootElement` or `@XmlType`-annotaed type.
      Parameters:
        `type` -
        `value` -
      Returns:
        root element (or `null`)
      Throws:
        `javax.xml.bind.JAXBException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.